Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge bez x11-libs/cairo-1.12.2-r2
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) Instalacja i sprzęt
View previous topic :: View next topic  
Author Message
professor1234
n00b
n00b


Joined: 27 Mar 2005
Posts: 41
Location: Kraków, Poland

PostPosted: Fri Jul 27, 2012 7:09 pm    Post subject: emerge bez x11-libs/cairo-1.12.2-r2 Reply with quote

Witam,

Próbuję zaktualizować system niestety pakiet x11-libs/cairo-1.12.2-r2 pcha mi się do systemu drzwiami i oknami ;)
Code:


The following keyword changes are necessary to proceed:
#required by x11-libs/pango-1.29.4, required by x11-libs/gtk+-2.24.10-r1, required by dev-java/icedtea-bin-6.1.11.3[X], required by virtual/jdk-1.6.0-r1, required by media-libs/libjpeg-turbo-1.2.1[java], required by virtual/jpeg-0, required by net-print/cups-1.5.2-r4, required by net-print/foomatic-filters-4.0.16[cups], required by net-print/foomatic-db-engine-4.0.7, required by net-print/foomatic-db-4.0.20110506, required by @selected, required by @world (argument)
=x11-libs/cairo-1.12.2-r2 ~x86

The following mask changes are necessary to proceed:
#required by x11-libs/pango-1.29.4, required by x11-libs/gtk+-2.24.10-r1, required by dev-java/icedtea-bin-6.1.11.3[X], required by virtual/jdk-1.6.0-r1, required by media-libs/libjpeg-turbo-1.2.1[java], required by virtual/jpeg-0, required by net-print/cups-1.5.2-r4, required by net-print/foomatic-filters-4.0.16[cups], required by net-print/foomatic-db-engine-4.0.7, required by net-print/foomatic-db-4.0.20110506, required by @selected, required by @world (argument)
# /etc/portage/package.mask:
=x11-libs/cairo-1.12.2-r2

The following USE changes are necessary to proceed:
#required by x11-libs/gtk+-2.24.10-r1, required by dev-java/icedtea-bin-6.1.11.3[X], required by virtual/jdk-1.6.0-r1, required by media-libs/libjpeg-turbo-1.2.1[java], required by virtual/jpeg-0, required by net-print/cups-1.5.2-r4, required by net-print/foomatic-filters-4.0.16[cups], required by net-print/foomatic-db-engine-4.0.7, required by net-print/foomatic-db-4.0.20110506, required by @selected, required by @world (argument)
=x11-libs/cairo-1.12.2-r2 X

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.


Pakiet wcześniej dodałem do:
Code:

/etc/portage/package.mask

System i tak z konsoli obsługuję a ten pakiet jest potrzebny przez wymienione wyżej pakiety chyba do obsługi serwera X-ów...

Jak ktoś ma pomysł będę jak zawsze wdzięczny.

pzdr
Back to top
View user's profile Send private message
Jacekalex
Guru
Guru


Joined: 17 Sep 2009
Posts: 493

PostPosted: Sat Jul 28, 2012 9:17 am    Post subject: Reply with quote

man emerge wrote:
.....
--tree (-t)
Pokazuje drzewo zależności poprzez zastosowanie wcięć
Jest to na prawdę praktyczne w połączeniu z opcją --emptytree lub --update i --deep.
.......


Pozdrawiam
8)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) Instalacja i sprzęt All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum